ブログのダッシュボードにphpの更新が必要と表示されたときの対処法

こんにちは、@天です。

5月12日の午前中、何やらエラーでこのブログが表示されないどころか、ダッシュボードにログインすらできない状態になっていました( ̄◇ ̄;)

一瞬焦ったのですが、よくエラーを読んでみると、SiteGuard WP Pluginが原因のエラーでした。

FTPソフトを使ってサーバーに入り、該当のプラグインを削除したら問題が解決しました^^

@天@天

ちょっとブログに手を入れた方がいいと思うので、ダッシュボードで確認できたphpのバージョン更新について書こうと思います。

phpの更新が必要です

ある日ダッシュボードにこのような表示が出て来ました。

phpはWord Pressのテーマに使われているプログラミング言語で、下手にファイルをいじるとブログが真っ白になる恐ろしいものというのが自分の認識です。

自分はプログラマーではないので、少しだけしかphpを理解していません。

確かphpはサーバー側で操作できたよね?ってことで、自分の使っているエックスサーバーから操作を行いました。

エックスサーバーのサーバーパネルにログイン

サーバーパネルへのログイン情報を記入してサーバーに行きます。

左の一番下にある対象ドメインを街頭のドメインに設定します。

「設定する」をクリック。

パネル中央一番下のphpにある「PHP Ver.切替」をクリック。

プルダウンメニューから一番新しいもの(一番上)を選択し「変更」をクリック。

これでphpが最新バージョンに変更できました。

ブログのダッシュボードを再読み込みすると、先ほどあった表示が消えていました。

これでphpの更新作業は終了です。

まとめ

一見すると何だか難しいと思ってしまうWord Pressのメンテナンスですが、これはどこに関係があるのかな?と考えたり、検索したりするとちゃんと答えがわかります。

インターネットがあって、検索するとほどんどの技術的な問題が解決するのでいい時代になったなぁと思いますね。

自分が若い時は、こんなに簡単に問題解決できなかったので、神ってる!と感じちゃいますね。

いやぁ、インターネットで情報発信してくれているプロの皆様、本当に助かります!

@天@天

50代中盤の自分でも、少し考えて検索すれば解決できる時代って素晴らしいですよね♡